Freeciv-3.2: /fast/freeciv/nightly/S3_2/tools/ruledit/validity.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Functions
validity.c File Reference
`#include "support.h"`
`#include "disaster.h"`
`#include "game.h"`
`#include "government.h"`
`#include "improvement.h"`
`#include "requirements.h"`
`#include "specialist.h"`
`#include "style.h"`
`#include "tech.h"`
`#include "validity.h"`

Go to the source code of this file.

## Data Structures

struct | effect_list_cb_data
struct | effect_list_multiplier_data

## Functions

static bool | effect_list_universal_needed_cb (struct effect *peffect, void *data)
static bool | is_universal_needed (struct universal *uni, requirers_cb cb, void *data)
bool | is_counter_needed (struct counter *pcount, requirers_cb cb, void *data)
bool | is_tech_needed (struct advance *padv, requirers_cb cb, void *data)
bool | is_building_needed (struct impr_type *pimpr, requirers_cb cb, void *data)
bool | is_utype_needed (struct unit_type *ptype, requirers_cb cb, void *data)
bool | is_achievement_needed (struct achievement *pach, requirers_cb cb, void *data)
bool | is_good_needed (struct goods_type *pgood, requirers_cb cb, void *data)
bool | is_extra_needed (struct extra_type *pextra, requirers_cb cb, void *data)
bool | is_terrain_needed (struct terrain *pterr, requirers_cb cb, void *data)
bool | is_government_needed (struct government *pgov, requirers_cb cb, void *data)
static bool | effect_list_multiplier_cb (struct effect *peffect, void *data)
bool | is_multiplier_needed (struct multiplier *pmul, requirers_cb cb, void *data)

## Function Documentation

## ◆ effect_list_multiplier_cb()

static bool effect_list_multiplier_cb | ( | struct effect * | peffect,
|  | void * | data
| ) |  |

static

Callback to check if effect needs universal.

Definition at line 379 of file validity.c.

Referenced by is_multiplier_needed().

## ◆ effect_list_universal_needed_cb()

static bool effect_list_universal_needed_cb | ( | struct effect * | peffect,
|  | void * | data
| ) |  |

static

Callback to check if effect needs universal.

Definition at line 44 of file validity.c.

Referenced by is_universal_needed().

## ◆ is_achievement_needed()

bool is_achievement_needed | ( | struct achievement * | pach,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs achievement type

Definition at line 273 of file validity.c.

Referenced by tab_achievement::delete_now().

## ◆ is_building_needed()

bool is_building_needed | ( | struct impr_type * | pimpr,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs building

Definition at line 238 of file validity.c.

Referenced by tab_building::delete_now().

## ◆ is_counter_needed()

bool is_counter_needed | ( | struct counter * | pcount,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs counter

Definition at line 189 of file validity.c.

Referenced by tab_counter::delete_now().

## ◆ is_extra_needed()

bool is_extra_needed | ( | struct extra_type * | pextra,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs extra type

Definition at line 301 of file validity.c.

Referenced by tab_extras::delete_now().

## ◆ is_good_needed()

bool is_good_needed | ( | struct goods_type * | pgood,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs goods type

Definition at line 287 of file validity.c.

Referenced by tab_good::delete_now().

## ◆ is_government_needed()

bool is_government_needed | ( | struct government * | pgov,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs government

Definition at line 358 of file validity.c.

Referenced by tab_gov::delete_now().

## ◆ is_multiplier_needed()

bool is_multiplier_needed | ( | struct multiplier * | pmul,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs multiplier

Definition at line 396 of file validity.c.

Referenced by tab_multiplier::delete_now().

## ◆ is_tech_needed()

bool is_tech_needed | ( | struct advance * | padv,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs tech

Definition at line 199 of file validity.c.

Referenced by tab_tech::delete_now().

## ◆ is_terrain_needed()

bool is_terrain_needed | ( | struct terrain * | pterr,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs terrain type

Definition at line 331 of file validity.c.

Referenced by tab_terrains::delete_now().

## ◆ is_universal_needed()

static bool is_universal_needed | ( | struct universal * | uni,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

static

Check if anything in ruleset needs universal

Definition at line 61 of file validity.c.

Referenced by is_achievement_needed(), is_building_needed(), is_counter_needed(), is_extra_needed(), is_good_needed(), is_government_needed(), is_tech_needed(), is_terrain_needed(), and is_utype_needed().

## ◆ is_utype_needed()

bool is_utype_needed | ( | struct unit_type * | ptype,
|  | requirers_cb | cb,
|  | void * | data
| ) |  |

Check if anything in ruleset needs unit type

Definition at line 252 of file validity.c.

Referenced by tab_unit::delete_now().